SASC(1)

NAME
sasc - set the options of the asc scanner device

SYNOPSIS

sasc
    [-sq] [-b len] [-f file] [-h height] [-r resolution] [-t timeout] [-w width]

DESCRIPTION
The sasc utility provides shell level access to the ioctl requests served by the handy scanner device driver asc. Please see asc(4) for the exact meaning of the requests. Generally they modify the output and behavior of the asc scanner device. When sasc is called with no option only the current settings are reported.

OPTIONS

-s [ASC_SRESSW]
    Set the scanner with the values of the resolution selector switch.

-q  Operate in quiet mode, i.e. do not report any of the current settings. Normally the parameters are shown after the modifications have been performed.

-f file
    Operate on a different scanner device node given by filename. Note that even though there may exist more than one node of scanner device several of them will refer the same device unit. The modifications are performed od the unit regardless of the device node by which it is accessed.

-r resolution [ASC_SRES]
    Set the resolution in dpi.

-w width [ASC_SWIDHT]
    Set the width of the bitmap in pixels.

-h height [ASC_SHEIGHT]
    Set the height of the bitmap in lines of pixels.

-b len [ASC_SBLEN]
    Set the internal dma buffer to be len lines in size.

-t timeout [ASC_SBTIME]
    Set the timeout time for reading one dma buffer.

FILES

/dev/asc0
    device node for raw output.

/dev/asc0p
    device node for output in pbm file format.

SEE ALSO
asc(4)

AUTHOR
Gunther Schadow <gusw@fub46.zedat.fu-berlin.de>